:host {
  display: block;
}

svg[version] { // version attribute only exists on the top-level svg element
  // padding: 10px;
  // margin-bottom: 115px; // make room for the process-control button
  text {
    fill: var(--primary-text-color);
    opacity: var(--primary-text-opacity);
    pointer-events: none;
    &:not(.service) {
      &[data-in-run="false"] {
        opacity: .5;
        text-decoration: line-through;
      }
    }
  }
  rect {
    fill: var(--primary-background-color-accent);
    opacity: var(--primary-text-opacity);
    stroke: var(--primary-text-color);
    stroke-linecap: "round";
    stroke-linejoin: "round";
    stroke-width: "1";

    &.service,
    &[data-in-run="true"] {
      stroke-opacity: var(--divider-opacity);

      &[data-health-state=critical-death],
      &[data-log-state=error] {
        fill: var(--paper-red-500);
      }
      &[data-log-state=warning]:not([data-health-state=critical-death]),
      &[data-health-state=non-critical-death]:not([data-log-state=error]) {
        fill: var(--paper-orange-500);
      }
      &[data-log-state=info][data-health-state=healthy],
      &[data-log-state=info]:not([data-health-state]),
      &[data-health-state=healthy]:not([data-log-state]) {
        fill: var(--paper-green-200);
      }
    }


    &:not(.service) {
      &[data-in-run="false"] {
        stroke: var(--disabled-text-color);
      }
      &[data-in-run="true"] {
        &:not([data-health-state]):not([data-log-state]){
          fill: var(--primary-color);
          fill-opacity: var(--divider-opacity);
        }
      }
    }
  }
  polyline {
    stroke: var(--primary-text-color);
    &:not(#separator) {
      opacity: .7;
      stroke-linecap: round;
      &[data-inactive="true"] {
        opacity: .3;
        stroke-dasharray: 5;
      }
    }
    stroke-linecap: butt;
    stroke-linejoin: round;
    stroke-width: 1;
  }

  line {
    stroke: var(--primary-text-color);
    &:not(#separator) {
      opacity: .3;
      stroke-linecap: round;
    }
    stroke-linecap: butt;
    stroke-linejoin: round;
    stroke-width: 1;
  }

  g[for] {
    use {
      display: none;
      &[icon="info"] {
        fill: var(--paper-blue-200);
      }
      &[icon="warning"] {
        fill: var(--paper-orange-200);
      }
      &[icon="error"] {
        fill: var(--paper-red-200);
      }
      &[icon="dead"] {
        fill: var(--primary-text-color);
      }
    }
    @each $state in "warning" "error" "dead" {
      &[data-icon="#{$state}"] {
        use[icon="#{$state}"] {
          display: initial;
        }
      }
    }
  }
}
